####################################################################################################
#                                                                                                  #
# After downloading this file, please change the file name of the file replacing lastName with     #
# your last name and firstName with your first name.  Do not change other parts of the file name.  #
# The other parts of the file name are required for your work to be graded properly.  If you       # 
# change other parts of the file name, your work will not be graded and you will not receive       #
# credit for your work.  Speak with your instructor or your ITA if this is not clear.              #  
#                                                                                                  #
# The main progam has been provided for you.  The main program simply performs simple input and    #
# output.  The real work, and your challenge, is to fill in the functions which have been defined  #
# but have been left blank.    Speak with your instructor or your ITA if this is not clear.        #
#                                                                                                  #
# Do not change the function declarations.  They have been provided and are required for your work # 
# to be graded properly.  If you change parts of the function declarations, your work will not be  #
# graded and you will not receive credit for your work.  Speak with your instructor or your ITA if # 
# this is not clear.                                                                               #
#                                                                                                  #
####################################################################################################
#                                                                                                  #
# Program: Factorial                                                                               #
# In mathematics, the notation n! represents the factorial of the nonnegative integer n.  The      #
# factorial of n is the product of all of the nonnegative intergers from 1 to n.  For example:     #
#                                                                                                  #
#                       7! = 1 * 2 * 3 * 4 * 5 * 6 * 7 = 5,040                                     #
#                                                                                                  #
# Write the calculateFactorial function which is passed a nonnegative integer and returns the      # 
# factorial of that number.                                                                        #
#                                                                                                  #
####################################################################################################

def calculateFactorial(numberToCalculateFactorialFor):
	################################################################################################
	# You must add your code to this part of this function.  Do not change the function            #
	# declaration above.                                                                           #
	################################################################################################
	
	value_to_return = 1
	for thisNumber in range(1,numberToCalculateFactorialFor+1):
		value_to_return = value_to_return * thisNumber
	
	return value_to_return
	
	
####################################################################################################
# This is the main part of the program.  Do not change any code below this comment.  Simply update #
# code in the functions above.                                                                     #
####################################################################################################
	
number = int(input('For what nonnegative integer would you like to calculate factorial? '))

print('The factorial of ' + str(number) + ' is ' + str(calculateFactorial(number)))